Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.management.jca.system.mbeans
Class AlertCodes

    java.lang.Object
      com.stc.connector.management.jca.system.mbeans.AlertCodes

All Implemented Interfaces:
  AlertCodeMap

public class AlertCodes
extends java.lang.Object
implements AlertCodeMap

Field Summary
`static java.lang.String` | `EWAY_ERROR`
`static java.lang.String` | `EWAY_RUNNING`
`static java.lang.String` | `EWAY_STARTED` Eway started/starting `` Params: {0}
`static java.lang.String` | `EWAY_STOPPED`
`static java.lang.String` | `EWAY_STOPPING`
`static java.lang.String` | `EWAY_SUSPENDED`
`static java.lang.String` | `EWAY_SUSPENDING`

Constructor Summary
`AlertCodes()`

Method Summary
`java.lang.String` | `getMapping(java.lang.String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EWAY_STARTED

    public static final java.lang.String EWAY_STARTED

  Eway started/starting `` Params: {0}

  See Also:
    Constant Field Values

### EWAY_RUNNING

    public static final java.lang.String EWAY_RUNNING

See Also:
  Constant Field Values

### EWAY_STOPPING

    public static final java.lang.String EWAY_STOPPING

See Also:
  Constant Field Values

### EWAY_STOPPED

    public static final java.lang.String EWAY_STOPPED

See Also:
  Constant Field Values

### EWAY_SUSPENDING

    public static final java.lang.String EWAY_SUSPENDING

See Also:
  Constant Field Values

### EWAY_SUSPENDED

    public static final java.lang.String EWAY_SUSPENDED

See Also:
  Constant Field Values

### EWAY_ERROR

    public static final java.lang.String EWAY_ERROR

See Also:
  Constant Field Values

Constructor Detail

### AlertCodes

    public AlertCodes()

Method Detail

### getMapping

    public java.lang.String getMapping(java.lang.String key)

  Specified by:
    `getMapping` in interface `AlertCodeMap`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD